<?php declare(strict_types=1);

namespace App\Broadcasting;

use App\Models\CaptchaToken;
use App\Models\User;

final readonly class CreatedCaptchaLog
{
    /**
     * Authenticate the user's access to the channel.
     */
    public function join(User $user): bool
    {
        return $user->can('viewAny', CaptchaToken::class);
    }
}
